
 LinHES - Bug # 779: Changing locales does not work ...

Status: Closed Priority: Normal
Author: martin1802 Category: Installation/Upgrade
Created: 08/08/2011 Assignee: jams
Updated: 09/02/2011 Due date:
Description: May it is a larch problem ... I found a site from larch wiki https://wiki.archlinux.de/title/Rc.conf and the discribed 

thing does not work? Missing some files / directories in R7 with actual updates from testing repos?

Link to [feature]
http://linhes.org/bugs/issues/680

----------------------------------
from /etc/rc.conf settings
...
#LOCALE="en_US.utf8"
LOCALE="de_DE.UTF-8"
HARDWARECLOCK="localtime"
TIMEZONE="Europe/Berlin" 
#KEYMAP="us"
KEYMAP="de-latin1-nodeadkeys"
CONSOLEFONT=
CONSOLEMAP=
USECOLOR="yes"
...
----------------------------------
[root@wohnzimmer2 ~]# locale
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
LANG=de_DE.UTF-8
LC_CTYPE="de_DE.UTF-8"
LC_NUMERIC="de_DE.UTF-8"
LC_TIME="de_DE.UTF-8"
LC_COLLATE="de_DE.UTF-8"
LC_MONETARY="de_DE.UTF-8"
LC_MESSAGES="de_DE.UTF-8"
LC_PAPER="de_DE.UTF-8"
LC_NAME="de_DE.UTF-8"
LC_ADDRESS="de_DE.UTF-8"
LC_TELEPHONE="de_DE.UTF-8"
LC_MEASUREMENT="de_DE.UTF-8"
LC_IDENTIFICATION="de_DE.UTF-8"
LC_ALL=
----------------------------------
from /var/log/messages.log
...
Aug  8 16:52:56 wohnzimmer2 mythbackend: /etc/rc.d/functions: line 43: warning: setlocale: LC_CTYPE: 
cannot change locale (de_DE.utf8): No such file or directory
Aug  8 16:52:56 wohnzimmer2 mythbackend: /etc/rc.d/functions: line 43: warning: setlocale: LC_NUMERIC: 
cannot change locale (de_DE.utf8): No such file or directory
Aug  8 16:52:56 wohnzimmer2 mythbackend: /etc/rc.d/functions: line 43: warning: setlocale: LC_TIME: 
cannot change locale (de_DE.utf8): No such file or directory
Aug  8 16:52:56 wohnzimmer2 mythbackend: /etc/rc.d/functions: line 43: warning: setlocale: LC_COLLATE: 
cannot change locale (de_DE.utf8): No such file or directory
Aug  8 16:52:56 wohnzimmer2 mythbackend: /etc/rc.d/functions: line 43: warning: setlocale: 
LC_MESSAGES: cannot change locale (de_DE.utf8): No such file or directory
...
----------------------------------

History
08/11/2011 11:16 am - jams
Not many locales are included with the base system.
To generate them: 

1) edit /etc/locale.gen, uncomment the locale you want to use.
2) run locale-gen
After this the changes you made rc.conf should work.

08/15/2011 10:29 am - martin1802
Thanks jams ... works for now ... generating and switching for the first test ...

using now de_DE.UTF-8 ... maybe we could close the thread, after more testing in a few days.

09/02/2011 12:12 pm - jams
- Status changed from New to Closed

de_DE.UTF-8 is now one of the couple locales that are included by default.
See #782 for more info.
